# $Revision: 1.3 $, $Date: 2004/05/05 06:28:47 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	LibXML-XPathContext
Summary:	XML::LibXML::XPathContext - Perl interface to libxml2's xmlXPathContext
Summary(pl):	XML::LibXML::XPathContext - interfejs perlowy do xmlXPathContext z libxml2
Name:		perl-XML-LibXML-XPathContext
Version:	0.06
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b7c71f1403f3d5b1cd3e5b94bd8f6209
BuildRequires:	libxml2-devel >= 2.4.25
%if %{with tests}
BuildRequires:	perl-XML-LibXML >= 0.51
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	libxml2 >= 2.4.25
Requires:	perl-XML-LibXML >= 0.51
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module augments XML::LibXML by providing Perl interface to
libxml2's xmlXPathContext structure. Besides just performing xpath
statements on XML::LibXML's node trees it allows redefining certaint
aspects of XPath engine. This modules allows:
- registering namespace prefixes,
- defining XPath functions in Perl,
- defining variable lookup functions in Perl,
- cheating the context about current proximity position and context
  size.

%description -l pl
Ten modu rozszerza XML::LibXML dostarczajc perlowy interfejs do
struktury xmlXPathContext z libxml2. Oprcz samego wykonywania
instrukcji xpath na drzewach wzw XML::LibXML pozwala redefiniowa
niektre aspekty silnika XPath:
- rejestrowa prefiksy przestrzeni nazw,
- definiowa funkcje XPath w Perlu,
- definiowa funkcje wyszukiwania zmiennych w Perlu,
- oszukiwa kontekst co do biecej bliskoci pozycji i rozmiaru
  kontekstu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%{perl_vendorarch}/XML/LibXML/XPathContext.pm
%dir %{perl_vendorarch}/auto/XML/LibXML/XPathContext
%{perl_vendorarch}/auto/XML/LibXML/XPathContext/XPathContext.bs
%attr(755,root,root) %{perl_vendorarch}/auto/XML/LibXML/XPathContext/XPathContext.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-LibXML-XPathContext.spec,v $
Revision 1.3  2004/05/05 06:28:47  ankry
- license unification, cosmetics

Revision 1.2  2004/04/15 19:46:36  ankry
- cosmetics, unification

Revision 1.1  2004/01/08 13:45:55  qboosh
- new

